> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/43.-uzklausa-gauti-laukus.md).

# 43. Užklausa: gauti laukus

Užklausa gauti vartotojo „Laukai“ su filtrais pagal `etiketes`, `farmUuid`, `fieldUuid`, `laukoPavadinimas`. Grąžinami laukai surikiuoti abėcėlės tvarka pagal lauko pavadinimą.&#x20;

Lauko filtras veikia kaip IR sąlyga, pvz., galima filtruoti pagal `farmUuid` ir pagal `fieldUuid` ir pagal `etiketes` ir pagal `laukoPavadinimas` vienoje užklausoje arba naudoti tik vieną filtro sąlygą arba nenaudoti jokios sąlygos.&#x20;

Filtruoti pagal `laukoPavadinimas` veikia kaip `prasideda_nuo`.&#x20;

Norint įgyvendinti puslapiavimo logiką, naudokite užklausos parametrą `puslapioDydis`. Atsakyme yra `paskutinisĮvertintasRaktas` ir `bendrasĮrašųSkaičius` , kur `paskutinisĮvertintasRaktas` reiškia paskutinį apdorotą įrašą, atitinkantį filtro sąlygą, o `bendrasĮrašųSkaičius` yra bendras įrašų, atitinkančių filtro sąlygas, skaičius.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa FiltruotiLaukus {
  gautiLaukus(
    filtras: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      etiketės: [{ pavadinimas: "name1", reikšmė: "value1" }]
      puslapioDydis: 2
      paskutinisĮvertintasRaktas: {
        RikiavimoRaktas: "<some_key>"
        SkirsnioRaktas: "<some_key>"
        ŽymosEilutė: "<some_key>"
      }
      laukoPavadinimas: "Pavyzdys"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      pavadinimas
      etiketės {
        pavadinimas
        reikšmė
      }
      bendrasĮrašųSkaičius
    }
    paskutinisĮvertintasRaktas {
      RikiavimoRaktas
      SkirsnioRaktas
      ŽymosEilutė
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/43.-uzklausa-gauti-laukus.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
